Package csb :: Package statistics :: Package samplers :: Package mc :: Module propagators :: Class MDPropagator

[frames] | no frames]

# Class MDPropagator

source code

            object --+
                     |
    AbstractPropagator --+
                         |
                        MDPropagator

Known Subclasses:
  - ThermostattedMDPropagator

Molecular Dynamics propagator. Generates a trajectory by integration of Hamiltionian equations of motion.

Nested Classes
Inherited from `AbstractPropagator`: `__metaclass__`

Instance Methods

__init__(self, gradient, timestep, mass_matrix=None, integrator=<class 'csb.numeric.integrators.FastLeapFrog'>) x.__init__(...) initializes x; see help(type(x)) for signature | source code

AbstractPropagationResult

generate(self, init_state, length, return_trajectory=False) Generate a trajectory, starting from an initial state with a certain length. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| gradient
| mass_matrix
| timestep
Inherited from `object`: `__class__`

Method Details

### __init__(self, gradient, timestep, mass_matrix=None, integrator=<class 'csb.numeric.integrators.FastLeapFrog'>)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `gradient` (AbstractGradient) - Gradient of potential energy. Guides the dynamics.
  - `timestep` (float) - Timestep to be used for integration
  - `mass_matrix` (n-dimensional InvertibleMatrix with n being the dimension of the configuration space, that is, the dimension of the position / momentum vectors) - Mass matrix
  - `integrator` (type) - Subclass of AbstractIntegrator to be used to integrate Hamiltonian equations of motion
Overrides: object.__init__
  (inherited documentation)

### generate(self, init_state, length, return_trajectory=False)

source code

Generate a trajectory, starting from an initial state with a certain length.

Parameters:
  - `init_state` - Initial state from which to propagate
  - `length` - Length of the trajectory (in integration steps or stochastic moves)
  - `return_trajectory` - Return complete Trajectory instead of the initial and final states only (PropagationResult)
Returns: AbstractPropagationResult
Overrides: AbstractPropagator.generate
  (inherited documentation)

Property Details

### gradient

Get Method:
  unreachable.gradient(self)
Set Method:
  unreachable.gradient(self, value)

### mass_matrix

Get Method:
  unreachable.mass_matrix(self)
Set Method:
  unreachable.mass_matrix(self, value)

### timestep

Get Method:
  unreachable.timestep(self)
Set Method:
  unreachable.timestep(self, value)